


#include "libvirt-gobject/libvirt-gobject.h"

static const GEnumValue _gvir_domain_state_values[] = {
  { GVIR_DOMAIN_STATE_NONE, "GVIR_DOMAIN_STATE_NONE", "none" },
  { GVIR_DOMAIN_STATE_RUNNING, "GVIR_DOMAIN_STATE_RUNNING", "running" },
  { GVIR_DOMAIN_STATE_BLOCKED, "GVIR_DOMAIN_STATE_BLOCKED", "blocked" },
  { GVIR_DOMAIN_STATE_PAUSED, "GVIR_DOMAIN_STATE_PAUSED", "paused" },
  { GVIR_DOMAIN_STATE_SHUTDOWN, "GVIR_DOMAIN_STATE_SHUTDOWN", "shutdown" },
  { GVIR_DOMAIN_STATE_SHUTOFF, "GVIR_DOMAIN_STATE_SHUTOFF", "shutoff" },
  { GVIR_DOMAIN_STATE_CRASHED, "GVIR_DOMAIN_STATE_CRASHED", "crashed" },
  { GVIR_DOMAIN_STATE_PMSUSPENDED, "GVIR_DOMAIN_STATE_PMSUSPENDED", "pmsuspended" },
  { 0, NULL, NULL }
};

GType
gvir_domain_state_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainState", _gvir_domain_state_values);

  return type;
}

static const GFlagsValue _gvir_domain_start_flags_values[] = {
  { GVIR_DOMAIN_START_NONE, "GVIR_DOMAIN_START_NONE", "none" },
  { GVIR_DOMAIN_START_PAUSED, "GVIR_DOMAIN_START_PAUSED", "paused" },
  { GVIR_DOMAIN_START_AUTODESTROY, "GVIR_DOMAIN_START_AUTODESTROY", "autodestroy" },
  { GVIR_DOMAIN_START_BYPASS_CACHE, "GVIR_DOMAIN_START_BYPASS_CACHE", "bypass-cache" },
  { GVIR_DOMAIN_START_FORCE_BOOT, "GVIR_DOMAIN_START_FORCE_BOOT", "force-boot" },
  { 0, NULL, NULL }
};

GType
gvir_domain_start_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("GVirDomainStartFlags", _gvir_domain_start_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_delete_flags_values[] = {
  { GVIR_DOMAIN_DELETE_NONE, "GVIR_DOMAIN_DELETE_NONE", "none" },
  { GVIR_DOMAIN_DELETE_SAVED_STATE, "GVIR_DOMAIN_DELETE_SAVED_STATE", "saved-state" },
  { GVIR_DOMAIN_DELETE_SNAPSHOTS_METADATA, "GVIR_DOMAIN_DELETE_SNAPSHOTS_METADATA", "snapshots-metadata" },
  { 0, NULL, NULL }
};

GType
gvir_domain_delete_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainDeleteFlags", _gvir_domain_delete_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_xml_flags_values[] = {
  { GVIR_DOMAIN_XML_NONE, "GVIR_DOMAIN_XML_NONE", "none" },
  { GVIR_DOMAIN_XML_SECURE, "GVIR_DOMAIN_XML_SECURE", "secure" },
  { GVIR_DOMAIN_XML_INACTIVE, "GVIR_DOMAIN_XML_INACTIVE", "inactive" },
  { GVIR_DOMAIN_XML_UPDATE_CPU, "GVIR_DOMAIN_XML_UPDATE_CPU", "update-cpu" },
  { 0, NULL, NULL }
};

GType
gvir_domain_xml_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainXMLFlags", _gvir_domain_xml_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_shutdown_flags_values[] = {
  { GVIR_DOMAIN_SHUTDOWN_NONE, "GVIR_DOMAIN_SHUTDOWN_NONE", "none" },
  { GVIR_DOMAIN_SHUTDOWN_ACPI_POWER_BTN, "GVIR_DOMAIN_SHUTDOWN_ACPI_POWER_BTN", "acpi-power-btn" },
  { GVIR_DOMAIN_SHUTDOWN_GUEST_AGENT, "GVIR_DOMAIN_SHUTDOWN_GUEST_AGENT", "guest-agent" },
  { 0, NULL, NULL }
};

GType
gvir_domain_shutdown_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainShutdownFlags", _gvir_domain_shutdown_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_snapshot_create_flags_values[] = {
  { GVIR_DOMAIN_SNAPSHOT_NONE, "GVIR_DOMAIN_SNAPSHOT_NONE", "none" },
  { GVIR_DOMAIN_SNAPSHOT_REDEFINE, "GVIR_DOMAIN_SNAPSHOT_REDEFINE", "redefine" },
  { GVIR_DOMAIN_SNAPSHOT_CURRENT, "GVIR_DOMAIN_SNAPSHOT_CURRENT", "current" },
  { GVIR_DOMAIN_SNAPSHOT_NO_METADATA, "GVIR_DOMAIN_SNAPSHOT_NO_METADATA", "no-metadata" },
  { GVIR_DOMAIN_SNAPSHOT_HALT, "GVIR_DOMAIN_SNAPSHOT_HALT", "halt" },
  { GVIR_DOMAIN_SNAPSHOT_DISK_ONLY, "GVIR_DOMAIN_SNAPSHOT_DISK_ONLY", "disk-only" },
  { GVIR_DOMAIN_SNAPSHOT_REUSE_EXT, "GVIR_DOMAIN_SNAPSHOT_REUSE_EXT", "reuse-ext" },
  { GVIR_DOMAIN_SNAPSHOT_QUIESCE, "GVIR_DOMAIN_SNAPSHOT_QUIESCE", "quiesce" },
  { GVIR_DOMAIN_SNAPSHOT_ATOMIC, "GVIR_DOMAIN_SNAPSHOT_ATOMIC", "atomic" },
  { 0, NULL, NULL }
};

GType
gvir_domain_snapshot_create_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainSnapshotCreateFlags", _gvir_domain_snapshot_create_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_update_device_flags_values[] = {
  { GVIR_DOMAIN_UPDATE_DEVICE_CURRENT, "GVIR_DOMAIN_UPDATE_DEVICE_CURRENT", "current" },
  { GVIR_DOMAIN_UPDATE_DEVICE_LIVE, "GVIR_DOMAIN_UPDATE_DEVICE_LIVE", "live" },
  { GVIR_DOMAIN_UPDATE_DEVICE_CONFIG, "GVIR_DOMAIN_UPDATE_DEVICE_CONFIG", "config" },
  { 0, NULL, NULL }
};

GType
gvir_domain_update_device_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainUpdateDeviceFlags", _gvir_domain_update_device_flags_values);

  return type;
}

static const GEnumValue _gvir_domain_reboot_flags_values[] = {
  { GVIR_DOMAIN_REBOOT_NONE, "GVIR_DOMAIN_REBOOT_NONE", "none" },
  { GVIR_DOMAIN_REBOOT_ACPI_POWER_BTN, "GVIR_DOMAIN_REBOOT_ACPI_POWER_BTN", "acpi-power-btn" },
  { GVIR_DOMAIN_REBOOT_GUEST_AGENT, "GVIR_DOMAIN_REBOOT_GUEST_AGENT", "guest-agent" },
  { 0, NULL, NULL }
};

GType
gvir_domain_reboot_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("GVirDomainRebootFlags", _gvir_domain_reboot_flags_values);

  return type;
}




